package com.ruoyi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.PosCollect;

/**
 * collectMapper接口
 * 
 * @author ruoyi
 * @date 2023-06-21
 */
public interface PosCollectMapper  extends BaseMapper<PosCollect>
{
    /**
     * 查询collect
     * 
     * @param id collect主键
     * @return collect
     */
    public PosCollect selectPosCollectById(Long id);

    /**
     * 查询collect列表
     * 
     * @param posCollect collect
     * @return collect集合
     */
    public List<PosCollect> selectPosCollectList(PosCollect posCollect);

    /**
     * 新增collect
     * 
     * @param posCollect collect
     * @return 结果
     */
    public int insertPosCollect(PosCollect posCollect);

    /**
     * 修改collect
     * 
     * @param posCollect collect
     * @return 结果
     */
    public int updatePosCollect(PosCollect posCollect);

    /**
     * 删除collect
     * 
     * @param id collect主键
     * @return 结果
     */
    public int deletePosCollectById(Long id);

    /**
     * 批量删除collect
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePosCollectByIds(Long[] ids);
}
